Referenceregistries
Get a version
Path Parameters
ownerHandle*string
Length
length <= 64slug*string
Length
length <= 64name*string
Match
^[a-z0-9]+(?:-[a-z0-9]+)*$Length
1 <= length <= 64version*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/registries/string/string/skills/string/versions/string"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "version": "string", "sizeBytes": 0, "fileCount": 0, "publishedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "handle": "string", "displayName": "string", "avatarUrl": "string" }, "publishedAt": "2019-08-24T14:15:22Z", "scanStatus": "pending", "yanked": { "at": "2019-08-24T14:15:22Z", "reason": "string" }, "structuralWarnings": [], "skillId": "97d3165d-e1dd-4955-972c-95ebf04dd091", "manifest": { "name": "string", "description": "string", "license": "string", "compatibility": "string", "allowedTools": "string", "metadata": { "property1": "string", "property2": "string" }, "extensions": { "type": "project", "version": "string", "bindings": [ "string" ], "registry": "string" } }, "changelog": "string", "tarballSha256": "string", "scanReport": { "status": "pending", "findings": [ { "ruleId": "string", "severity": "info", "message": "string", "path": "string", "line": -9007199254740991, "snippet": "string" } ], "engine": { "name": "string", "version": "string" }, "scannedAt": "2019-08-24T14:15:22Z" }}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}